<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.reflectionfunction.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'reflectionfunction.isanonymous.php',
    1 => 'ReflectionFunction::isAnonymous',
  ),
  'up' => 
  array (
    0 => 'class.reflectionfunction.php',
    1 => 'ReflectionFunction',
  ),
  'prev' => 
  array (
    0 => 'reflectionfunction.invokeargs.php',
    1 => 'ReflectionFunction::invokeArgs',
  ),
  'next' => 
  array (
    0 => 'reflectionfunction.isdisabled.php',
    1 => 'ReflectionFunction::isDisabled',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/reflection/reflectionfunction/isanonymous.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="reflectionfunction.isanonymous" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">ReflectionFunction::isAnonymous</h1>
  <p class="verinfo">(PHP 8 &gt;= 8.2.0)</p><p class="refpurpose"><span class="refname">ReflectionFunction::isAnonymous</span> &mdash; <span class="dc-title">Vérifie si la fonction est anonyme</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-reflectionfunction.isanonymous-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>ReflectionFunction::isAnonymous</strong></span>(): <span class="type"><a href="language.types.boolean.php" class="type bool">bool</a></span></div>

  <p class="para rdfs-comment">
   Vérifie si la fonction est <a href="functions.anonymous.php" class="link">anonyme</a>.
  </p>
 </div>


 <div class="refsect1 parameters" id="refsect1-reflectionfunction.isanonymous-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <p class="para">Cette fonction ne contient aucun paramètre.</p>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-reflectionfunction.isanonymous-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="para">
   Renvoie <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> si la fonction est anonyme, sinon <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong>.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-reflectionfunction.isanonymous-examples">
  <h3 class="title">Exemples</h3>
  <p class="para">
   <div class="example" id="example-5453">
    <p><strong>Exemple #1 Exemple de <span class="methodname"><strong>ReflectionFunction::isAnonymous()</strong></span></strong></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br /><br />$rf </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionFunction</span><span style="color: #007700">(function() {});<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$rf</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isAnonymous</span><span style="color: #007700">());<br /><br /></span><span style="color: #0000BB">$rf </span><span style="color: #007700">= new </span><span style="color: #0000BB">ReflectionFunction</span><span style="color: #007700">(</span><span style="color: #DD0000">'strlen'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">var_dump</span><span style="color: #007700">(</span><span style="color: #0000BB">$rf</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isAnonymous</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
    </div>

    <div class="example-contents"><p>L&#039;exemple ci-dessus va afficher :</p></div>
    <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">bool(true)
bool(false)</pre>
</div>
    </div>
   </div>
  </p>
 </div>


 <div class="refsect1 seealso" id="refsect1-reflectionfunction.isanonymous-seealso">
  <h3 class="title">Voir aussi</h3>
  <p class="para">
   <ul class="simplelist">
    <li><a href="functions.anonymous.php" class="link">Fonctions anonymes</a></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer($setup); ?>